org.apache.http.impl.cookie

## Enum BrowserCompatSpecFactory.SecurityLevel

- java.lang.Object
- - java.lang.Enum<BrowserCompatSpecFactory.SecurityLevel>
  - - org.apache.http.impl.cookie.BrowserCompatSpecFactory.SecurityLevel

- All Implemented Interfaces:
    Serializable ， Comparable < BrowserCompatSpecFactory.SecurityLevel >
  Enclosing class:
    BrowserCompatSpecFactory

      public static enum BrowserCompatSpecFactory.SecurityLevel
      extends Enum<BrowserCompatSpecFactory.SecurityLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SECURITYLEVEL_DEFAULT`
    `SECURITYLEVEL_IE_MEDIUM`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BrowserCompatSpecFactory.SecurityLevel` | `valueOf(String name)` 以指定的名称返回此类型的枚举常量。
    `static BrowserCompatSpecFactory.SecurityLevel[]` | `values()` 按照它们声明的顺序返回一个包含此枚举类型常量的数组。

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECURITYLEVEL_DEFAULT

          public static final BrowserCompatSpecFactory.SecurityLevel SECURITYLEVEL_DEFAULT

    - #### SECURITYLEVEL_IE_MEDIUM

          public static final BrowserCompatSpecFactory.SecurityLevel SECURITYLEVEL_IE_MEDIUM

  - ### 方法详细信息

    - #### values

          public static BrowserCompatSpecFactory.SecurityLevel[] values()

      按照它们声明的顺序返回一个包含此枚举类型常量的数组。 该方法可用于遍历常量如下：

            for (BrowserCompatSpecFactory.SecurityLevel c : BrowserCompatSpecFactory.SecurityLevel.values())
              System.out.println(c);

      结果
        一个包含这个枚举类型的常量的数组，按照它们被声明的顺序

    - #### valueOf

          public static BrowserCompatSpecFactory.SecurityLevel valueOf(String name)

      以指定的名称返回此类型的枚举常量。 字符串必须完全匹配用于声明此类型的枚举常量的标识符。 （不允许有空白字符）
      参数
        `name` - 要返回的枚举常数的名称。
      结果
        具有指定名称的枚举常量
      异常
        `IllegalArgumentException` - 如果此枚举类型没有指定名称的常量
        `NullPointerException` - 如果参数为空

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585